Page MenuHomePhabricator

Parsoid doesn't distinguish between blank and empty parameter names
Closed, ResolvedPublic

Description

The wikitext {{foo|=bar}} becomes {{foo|bar}} when round-tripped through Parsoid. The former is supposed to be a parameter with a blank name (which is valid), but Parsoid turns it into a positional parameter.


Version: unspecified
Severity: minor

Details

Reference
bz71412

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:47 AM
bzimport added a project: Parsoid.
bzimport set Reference to bz71412.
marcoil claimed this task.Jan 13 2015, 11:55 AM

Change 184645 had a related patch set uploaded (by Marcoil):
T73412: Preserve blank template parameters

https://gerrit.wikimedia.org/r/184645

Patch-For-Review

Change 184645 merged by jenkins-bot:
T73412: Preserve blank template parameters

https://gerrit.wikimedia.org/r/184645

marcoil closed this task as Resolved.Jan 15 2015, 10:01 AM